Skip to main content
GET
/
transactions
/
{transaction_hash}
/
summary
get human-readable transaction summary
curl --request GET \
  --url https://eth.blockscout.com/api/v2/transactions/{transaction_hash}/summary
import requests

url = "https://eth.blockscout.com/api/v2/transactions/{transaction_hash}/summary"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://eth.blockscout.com/api/v2/transactions/{transaction_hash}/summary', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true,
  "data": {
    "summaries": [
      {
        "summary_template": "{action_type} of {amount} {token}",
        "summary_template_variables": {
          "action_type": {
            "type": "string",
            "value": "Registered withdrawal of"
          },
          "amount": {
            "type": "currency",
            "value": "0.195999999980484004"
          },
          "token": {
            "type": "token",
            "value": {
              "circulating_market_cap": "0.0",
              "decimals": "18",
              "exchange_rate": "2890.96",
              "icon_url": "https://assets.coingecko.com/coins/images/39410/small/Steakhouse_logo-05.jpg?1722053893",
              "name": "Steakhouse Resteaking Vault",
              "symbol": "steakLRT",
              "total_supply": "9710057205959239302188",
              "type": "ERC-20",
              "volume_24h": "24298.765344836862",
              "address_hash": "0xBEEF69Ac7870777598A04B2bd4771c71212E6aBc",
              "holders_count": "2999"
            }
          }
        }
      }
    ]
  }
}

Path Parameters

transaction_hash
string
required

Transaction hash

Pattern: ^0x([A-Fa-f0-9]{64})$

Response

human-readable transaction summary

success
boolean
required
Example:

true

data
object
required